#
#  BIND Option validity checks.
#  This was originally generated as templates from NamedConfOptions
#  by 'genOptionCheck.py' - oh for PERL's anonymous code refs!
#
#  Here, functions to check option validity are defined:
#     ${option}_add(o) :
#          return  OK if it is allowed to add this
#          option in the presence of all other options in o,
#          else return [ WARN | FAIL, 'message' ]
#     ${option}_remove(o) :
#          return  OK if it is allowed to remove this
#          option in the presence of all other options in o,
#          else return [ WARN | FAIL, 'message' ]
#     ${option}_valid(o, new_value) :
#          return  OK if new_value is valid for this 
#          option in the presence of all other options in o,
#          else return [ WARN | FAIL, 'message' ]    
#
# It can be assumed that only options appropriate to the object
# type will be operated upon, and that option values are legal
# for the option, (but not necessarily valid in the presence of
# other option values).
#
# Jason Vas Dias <jvdias@redhat.com> Red Hat Inc., Sept 2004
#
class OptionCheck:
    OK=0
    FAIL=-1
    WARN=1
    
    def allow_recursion_valid(s, o, v ):
        
        return s.OK
    
    def allow_recursion_add(s, o ):
        
        return s.OK
    
    def allow_recursion_remove(s, o ):
        
        return s.OK
        
    def dump_file_valid(s, o, v ):
        
        return s.OK
    
    def dump_file_add(s, o ):
        
        return s.OK
    
    def dump_file_remove(s, o ):
        
        return s.OK
        
    def root_delegation_only_valid(s, o, v ):
        
        return s.OK
    
    def root_delegation_only_add(s, o ):
        
        return s.OK
    
    def root_delegation_only_remove(s, o ):
        
        return s.OK
        
    def update_policy_valid(s, o, v ):
        
        return s.OK
    
    def update_policy_add(s, o ):
        
        return s.OK
    
    def update_policy_remove(s, o ):
        
        return s.OK
        
    def has_old_clients_valid(s, o, v ):
        
        return s.OK
    
    def has_old_clients_add(s, o ):
        
        return s.OK
    
    def has_old_clients_remove(s, o ):
        
        return s.OK
        
    def also_notify_valid(s, o, v ):
        
        return s.OK
    
    def also_notify_add(s, o ):
        
        return s.OK
    
    def also_notify_remove(s, o ):
        
        return s.OK
        
    def transfers_per_ns_valid(s, o, v ):
        
        return s.OK
    
    def transfers_per_ns_add(s, o ):
        
        return s.OK
    
    def transfers_per_ns_remove(s, o ):
        
        return s.OK
        
    def request_ixfr_valid(s, o, v ):
        
        return s.OK
    
    def request_ixfr_add(s, o ):
        
        return s.OK
    
    def request_ixfr_remove(s, o ):
        
        return s.OK
        
    def allow_query_valid(s, o, v ):
        
        return s.OK
    
    def allow_query_add(s, o ):
        
        return s.OK
    
    def allow_query_remove(s, o ):
        
        return s.OK
        
    def max_cache_ttl_valid(s, o, v ):
        
        return s.OK
    
    def max_cache_ttl_add(s, o ):
        
        return s.OK
    
    def max_cache_ttl_remove(s, o ):
        
        return s.OK
        
    def query_source_valid(s, o, v ):
        
        return s.OK
    
    def query_source_add(s, o ):
        
        return s.OK
    
    def query_source_remove(s, o ):
        
        return s.OK
        
    def pubkey_valid(s, o, v ):
        
        return s.OK
    
    def pubkey_add(s, o ):
        
        return s.OK
    
    def pubkey_remove(s, o ):
        
        return s.OK
        
    def delegation_only_valid(s, o, v ):
        
        return s.OK
    
    def delegation_only_add(s, o ):
        
        return s.OK
    
    def delegation_only_remove(s, o ):
        
        return s.OK
        
    def heartbeat_interval_valid(s, o, v ):
        
        return s.OK
    
    def heartbeat_interval_add(s, o ):
        
        return s.OK
    
    def heartbeat_interval_remove(s, o ):
        
        return s.OK
        
    def interface_interval_valid(s, o, v ):
        
        return s.OK
    
    def interface_interval_add(s, o ):
        
        return s.OK
    
    def interface_interval_remove(s, o ):
        
        return s.OK
        
    def min_retry_time_valid(s, o, v ):
        
        return s.OK
    
    def min_retry_time_add(s, o ):
        
        return s.OK
    
    def min_retry_time_remove(s, o ):
        
        return s.OK
        
    def forwarders_valid(s, o, v ):
        
        return s.OK
    
    def forwarders_add(s, o ):
        
        return s.OK
    
    def forwarders_remove(s, o ):
        
        return s.OK
        
    def additional_from_cache_valid(s, o, v ):
        
        return s.OK
    
    def additional_from_cache_add(s, o ):
        
        return s.OK
    
    def additional_from_cache_remove(s, o ):
        
        return s.OK
        
    def maintain_ixfr_base_valid(s, o, v ):
        
        return s.OK
    
    def maintain_ixfr_base_add(s, o ):
        
        return s.OK
    
    def maintain_ixfr_base_remove(s, o ):
        
        return s.OK
        
    def max_transfer_idle_in_valid(s, o, v ):
        
        return s.OK
    
    def max_transfer_idle_in_add(s, o ):
        
        return s.OK
    
    def max_transfer_idle_in_remove(s, o ):
        
        return s.OK
        
    def cleaning_interval_valid(s, o, v ):
        
        return s.OK
    
    def cleaning_interval_add(s, o ):
        
        return s.OK
    
    def cleaning_interval_remove(s, o ):
        
        return s.OK
        
    def min_roots_valid(s, o, v ):
        
        return s.OK
    
    def min_roots_add(s, o ):
        
        return s.OK
    
    def min_roots_remove(s, o ):
        
        return s.OK
        
    def serial_query_rate_valid(s, o, v ):
        
        return s.OK
    
    def serial_query_rate_add(s, o ):
        
        return s.OK
    
    def serial_query_rate_remove(s, o ):
        
        return s.OK
        
    def match_clients_valid(s, o, v ):
        
        return s.OK
    
    def match_clients_add(s, o ):
        
        return s.OK
    
    def match_clients_remove(s, o ):
        
        return s.OK
        
    def treat_cr_as_space_valid(s, o, v ):
        
        return s.OK
    
    def treat_cr_as_space_add(s, o ):
        
        return s.OK
    
    def treat_cr_as_space_remove(s, o ):
        
        return s.OK
        
    def tkey_domain_valid(s, o, v ):
        
        return s.OK
    
    def tkey_domain_add(s, o ):
        
        return s.OK
    
    def tkey_domain_remove(s, o ):
        
        return s.OK
        
    def port_valid(s, o, v ):
        
        return s.OK
    
    def port_add(s, o ):
        
        return s.OK
    
    def port_remove(s, o ):
        
        return s.OK
        
    def dialup_valid(s, o, v ):
        
        return s.OK
    
    def dialup_add(s, o ):
        
        return s.OK
    
    def dialup_remove(s, o ):
        
        return s.OK
        
    def minimal_responses_valid(s, o, v ):
        
        return s.OK
    
    def minimal_responses_add(s, o ):
        
        return s.OK
    
    def minimal_responses_remove(s, o ):
        
        return s.OK
        
    def transfer_format_valid(s, o, v ):
        
        return s.OK
    
    def transfer_format_add(s, o ):
        
        return s.OK
    
    def transfer_format_remove(s, o ):
        
        return s.OK
        
    def transfers_out_valid(s, o, v ):
        
        return s.OK
    
    def transfers_out_add(s, o ):
        
        return s.OK
    
    def transfers_out_remove(s, o ):
        
        return s.OK
        
    def random_device_valid(s, o, v ):
        
        return s.OK
    
    def random_device_add(s, o ):
        
        return s.OK
    
    def random_device_remove(s, o ):
        
        return s.OK
        
    def max_ncache_ttl_valid(s, o, v ):
        
        return s.OK
    
    def max_ncache_ttl_add(s, o ):
        
        return s.OK
    
    def max_ncache_ttl_remove(s, o ):
        
        return s.OK
        
    def version_valid(s, o, v ):
        
        return s.OK
    
    def version_add(s, o ):
        
        return s.OK
    
    def version_remove(s, o ):
        
        return s.OK
        
    def bogus_valid(s, o, v ):
        
        return s.OK
    
    def bogus_add(s, o ):
        
        return s.OK
    
    def bogus_remove(s, o ):
        
        return s.OK
        
    def max_transfer_time_out_valid(s, o, v ):
        
        return s.OK
    
    def max_transfer_time_out_add(s, o ):
        
        return s.OK
    
    def max_transfer_time_out_remove(s, o ):
        
        return s.OK
        
    def sig_validity_interval_valid(s, o, v ):
        
        return s.OK
    
    def sig_validity_interval_add(s, o ):
        
        return s.OK
    
    def sig_validity_interval_remove(s, o ):
        
        return s.OK
        
    def query_source_v6_valid(s, o, v ):
        
        return s.OK
    
    def query_source_v6_add(s, o ):
        
        return s.OK
    
    def query_source_v6_remove(s, o ):
        
        return s.OK
        
    def notify_source_valid(s, o, v ):
        
        return s.OK
    
    def notify_source_add(s, o ):
        
        return s.OK
    
    def notify_source_remove(s, o ):
        
        return s.OK
        
    def ixfr_base_valid(s, o, v ):
        
        return s.OK
    
    def ixfr_base_add(s, o ):
        
        return s.OK
    
    def ixfr_base_remove(s, o ):
        
        return s.OK
        
    def pid_file_valid(s, o, v ):
        
        return s.OK
    
    def pid_file_add(s, o ):
        
        return s.OK
    
    def pid_file_remove(s, o ):
        
        return s.OK
        
    def topology_valid(s, o, v ):
        
        return s.OK
    
    def topology_add(s, o ):
        
        return s.OK
    
    def topology_remove(s, o ):
        
        return s.OK
        
    def use_ixfr_valid(s, o, v ):
        
        return s.OK
    
    def use_ixfr_add(s, o ):
        
        return s.OK
    
    def use_ixfr_remove(s, o ):
        
        return s.OK
        
    def notify_source_v6_valid(s, o, v ):
        
        return s.OK
    
    def notify_source_v6_add(s, o ):
        
        return s.OK
    
    def notify_source_v6_remove(s, o ):
        
        return s.OK
        
    def check_names_valid(s, o, v ):
        
        return s.OK
    
    def check_names_add(s, o ):
        
        return s.OK
    
    def check_names_remove(s, o ):
        
        return s.OK
        
    def max_refresh_time_valid(s, o, v ):
        
        return s.OK
    
    def max_refresh_time_add(s, o ):
        
        return s.OK
    
    def max_refresh_time_remove(s, o ):
        
        return s.OK
        
    def max_ixfr_log_size_valid(s, o, v ):
        
        return s.OK
    
    def max_ixfr_log_size_add(s, o ):
        
        return s.OK
    
    def max_ixfr_log_size_remove(s, o ):
        
        return s.OK
        
    def auth_nxdomain_valid(s, o, v ):
        
        return s.OK
    
    def auth_nxdomain_add(s, o ):
        
        return s.OK
    
    def auth_nxdomain_remove(s, o ):
        
        return s.OK
        
    def max_transfer_time_in_valid(s, o, v ):
        
        return s.OK
    
    def max_transfer_time_in_add(s, o ):
        
        return s.OK
    
    def max_transfer_time_in_remove(s, o ):
        
        return s.OK
        
    def listen_on_valid(s, o, v ):
        
        return s.OK
    
    def listen_on_add(s, o ):
        
        return s.OK
    
    def listen_on_remove(s, o ):
        
        return s.OK
        
    def allow_update_valid(s, o, v ):
        
        return s.OK
    
    def allow_update_add(s, o ):
        
        return s.OK
    
    def allow_update_remove(s, o ):
        
        return s.OK
        
    def notify_valid(s, o, v ):
        
        return s.OK
    
    def notify_add(s, o ):
        
        return s.OK
    
    def notify_remove(s, o ):
        
        return s.OK
        
    def multiple_cnames_valid(s, o, v ):
        
        return s.OK
    
    def multiple_cnames_add(s, o ):
        
        return s.OK
    
    def multiple_cnames_remove(s, o ):
        
        return s.OK
        
    def allow_transfer_valid(s, o, v ):
        
        return s.OK
    
    def allow_transfer_add(s, o ):
        
        return s.OK
    
    def allow_transfer_remove(s, o ):
        
        return s.OK
        
    def tkey_dhkey_valid(s, o, v ):
        
        return s.OK
    
    def tkey_dhkey_add(s, o ):
        
        return s.OK
    
    def tkey_dhkey_remove(s, o ):
        
        return s.OK
        
    def ixfr_tmp_file_valid(s, o, v ):
        
        return s.OK
    
    def ixfr_tmp_file_add(s, o ):
        
        return s.OK
    
    def ixfr_tmp_file_remove(s, o ):
        
        return s.OK
        
    def max_transfer_idle_out_valid(s, o, v ):
        
        return s.OK
    
    def max_transfer_idle_out_add(s, o ):
        
        return s.OK
    
    def max_transfer_idle_out_remove(s, o ):
        
        return s.OK
        
    def max_retry_time_valid(s, o, v ):
        
        return s.OK
    
    def max_retry_time_add(s, o ):
        
        return s.OK
    
    def max_retry_time_remove(s, o ):
        
        return s.OK
        
    def listen_on_v6_valid(s, o, v ):
        
        return s.OK
    
    def listen_on_v6_add(s, o ):
        
        return s.OK
    
    def listen_on_v6_remove(s, o ):
        
        return s.OK
        
    def forward_valid(s, o, v ):
        
        return s.OK
    
    def forward_add(s, o ):
        
        return s.OK
    
    def forward_remove(s, o ):
        
        return s.OK
        
    def serial_queries_valid(s, o, v ):
        
        return s.OK
    
    def serial_queries_add(s, o ):
        
        return s.OK
    
    def serial_queries_remove(s, o ):
        
        return s.OK
        
    def stacksize_valid(s, o, v ):
        
        return s.OK
    
    def stacksize_add(s, o ):
        
        return s.OK
    
    def stacksize_remove(s, o ):
        
        return s.OK
        
    def datasize_valid(s, o, v ):
        
        return s.OK
    
    def datasize_add(s, o ):
        
        return s.OK
    
    def datasize_remove(s, o ):
        
        return s.OK
        
    def type_valid(s, o, v ):
        
        return s.OK
    
    def type_add(s, o ):
        
        return s.OK
    
    def type_remove(s, o ):        
        return (-1,_("The Zone type option cannot be removed."))
        
    def files_valid(s, o, v ):
        
        return s.OK
    
    def files_add(s, o ):
        
        return s.OK
    
    def files_remove(s, o ):
        
        return s.OK
        
    def statistics_file_valid(s, o, v ):
        
        return s.OK
    
    def statistics_file_add(s, o ):
        
        return s.OK
    
    def statistics_file_remove(s, o ):
        
        return s.OK
        
    def rrset_order_valid(s, o, v ):
        
        return s.OK
    
    def rrset_order_add(s, o ):
        
        return s.OK
    
    def rrset_order_remove(s, o ):
        
        return s.OK
        
    def use_id_pool_valid(s, o, v ):
        
        return s.OK
    
    def use_id_pool_add(s, o ):
        
        return s.OK
    
    def use_id_pool_remove(s, o ):
        
        return s.OK
        
    def rfc2308_type1_valid(s, o, v ):
        
        return s.OK
    
    def rfc2308_type1_add(s, o ):
        
        return s.OK
    
    def rfc2308_type1_remove(s, o ):
        
        return s.OK
        
    def blackhole_valid(s, o, v ):
        
        return s.OK
    
    def blackhole_add(s, o ):
        
        return s.OK
    
    def blackhole_remove(s, o ):
        
        return s.OK
        
    def transfers_in_valid(s, o, v ):
        
        return s.OK
    
    def transfers_in_add(s, o ):
        
        return s.OK
    
    def transfers_in_remove(s, o ):
        
        return s.OK
        
    def allow_notify_valid(s, o, v ):
        
        return s.OK
    
    def allow_notify_add(s, o ):
        
        return s.OK
    
    def allow_notify_remove(s, o ):
        
        return s.OK
        
    def match_destinations_valid(s, o, v ):
        
        return s.OK
    
    def match_destinations_add(s, o ):
        
        return s.OK
    
    def match_destinations_remove(s, o ):
        
        return s.OK
        
    def deallocate_on_exit_valid(s, o, v ):
        
        return s.OK
    
    def deallocate_on_exit_add(s, o ):
        
        return s.OK
    
    def deallocate_on_exit_remove(s, o ):
        
        return s.OK
        
    def provide_ixfr_valid(s, o, v ):
        
        return s.OK
    
    def provide_ixfr_add(s, o ):
        
        return s.OK
    
    def provide_ixfr_remove(s, o ):
        
        return s.OK
        
    def allow_update_forwarding_valid(s, o, v ):
        
        return s.OK
    
    def allow_update_forwarding_add(s, o ):
        
        return s.OK
    
    def allow_update_forwarding_remove(s, o ):
        
        return s.OK
        
    def min_refresh_time_valid(s, o, v ):
        
        return s.OK
    
    def min_refresh_time_add(s, o ):
        
        return s.OK
    
    def min_refresh_time_remove(s, o ):
        
        return s.OK
        
    def max_cache_size_valid(s, o, v ):
        
        return s.OK
    
    def max_cache_size_add(s, o ):
        
        return s.OK
    
    def max_cache_size_remove(s, o ):
        
        return s.OK
        
    def fake_iquery_valid(s, o, v ):
        
        return s.OK
    
    def fake_iquery_add(s, o ):
        
        return s.OK
    
    def fake_iquery_remove(s, o ):
        
        return s.OK
        
    def sortlist_valid(s, o, v ):
        
        return s.OK
    
    def sortlist_add(s, o ):
        
        return s.OK
    
    def sortlist_remove(s, o ):
        
        return s.OK
        
    def match_mapped_addresses_valid(s, o, v ):
        
        return s.OK
    
    def match_mapped_addresses_add(s, o ):
        
        return s.OK
    
    def match_mapped_addresses_remove(s, o ):
        
        return s.OK
        
    def named_xfer_valid(s, o, v ):
        
        return s.OK
    
    def named_xfer_add(s, o ):
        
        return s.OK
    
    def named_xfer_remove(s, o ):
        
        return s.OK
        
    def recursive_clients_valid(s, o, v ):
        
        return s.OK
    
    def recursive_clients_add(s, o ):
        
        return s.OK
    
    def recursive_clients_remove(s, o ):
        
        return s.OK
        
    def file_valid(s, o, v ):
        
        return s.OK
    
    def file_add(s, o ):
        
        return s.OK
    
    def file_remove(s, o ):
        if not hasattr(o,'zone') :
            return s.OK
        if o.zone.cfgType in [ 'master', 'stub', 'delegation-only' ]:
            return (s.FAIL,_("The zone file cannot be removed from this zone type."))
        
    def edns_valid(s, o, v ):
        
        return s.OK
    
    def edns_add(s, o ):
        
        return s.OK
    
    def edns_remove(s, o ):
        
        return s.OK
        
    def recursion_valid(s, o, v ):
        
        return s.OK
    
    def recursion_add(s, o ):
        
        return s.OK
    
    def recursion_remove(s, o ):
        
        return s.OK
        
    def memstatistics_file_valid(s, o, v ):
        
        return s.OK
    
    def memstatistics_file_add(s, o ):
        
        return s.OK
    
    def memstatistics_file_remove(s, o ):
        
        return s.OK
        
    def transfers_valid(s, o, v ):
        
        return s.OK
    
    def transfers_add(s, o ):
        
        return s.OK
    
    def transfers_remove(s, o ):
        
        return s.OK
        
    def lame_ttl_valid(s, o, v ):
        
        return s.OK
    
    def lame_ttl_add(s, o ):
        
        return s.OK
    
    def lame_ttl_remove(s, o ):
        
        return s.OK
        
    def transfer_source_valid(s, o, v ):
        
        return s.OK
    
    def transfer_source_add(s, o ):
        
        return s.OK
    
    def transfer_source_remove(s, o ):
        
        return s.OK
        
    def fetch_glue_valid(s, o, v ):
        
        return s.OK
    
    def fetch_glue_add(s, o ):
        
        return s.OK
    
    def fetch_glue_remove(s, o ):
        
        return s.OK
        
    def tcp_clients_valid(s, o, v ):
        
        return s.OK
    
    def tcp_clients_add(s, o ):
        
        return s.OK
    
    def tcp_clients_remove(s, o ):
        
        return s.OK
        
    def match_recursive_only_valid(s, o, v ):
        
        return s.OK
    
    def match_recursive_only_add(s, o ):
        
        return s.OK
    
    def match_recursive_only_remove(s, o ):
        
        return s.OK
        
    def allow_v6_synthesis_valid(s, o, v ):
        
        return s.OK
    
    def allow_v6_synthesis_add(s, o ):
        
        return s.OK
    
    def allow_v6_synthesis_remove(s, o ):
        
        return s.OK
        
    def zone_statistics_valid(s, o, v ):
        
        return s.OK
    
    def zone_statistics_add(s, o ):
        
        return s.OK
    
    def zone_statistics_remove(s, o ):
        
        return s.OK
        
    def keys_valid(s, o, v ):
        
        return s.OK
    
    def keys_add(s, o ):
        
        return s.OK
    
    def keys_remove(s, o ):
        
        return s.OK
        
    def transfer_source_v6_valid(s, o, v ):
        
        return s.OK
    
    def transfer_source_v6_add(s, o ):
        
        return s.OK
    
    def transfer_source_v6_remove(s, o ):
        
        return s.OK
        
    def host_statistics_valid(s, o, v ):
        
        return s.OK
    
    def host_statistics_add(s, o ):
        
        return s.OK
    
    def host_statistics_remove(s, o ):
        
        return s.OK
        
    def additional_from_auth_valid(s, o, v ):
        
        return s.OK
    
    def additional_from_auth_add(s, o ):
        
        return s.OK
    
    def additional_from_auth_remove(s, o ):
        
        return s.OK
        
    def database_valid(s, o, v ):
        
        return s.OK
    
    def database_add(s, o ):
        
        return s.OK
    
    def database_remove(s, o ):
        
        return s.OK
        
    def coresize_valid(s, o, v ):
        
        return s.OK
    
    def coresize_add(s, o ):
        
        return s.OK
    
    def coresize_remove(s, o ):
        
        return s.OK
        
    def statistics_interval_valid(s, o, v ):
        
        return s.OK
    
    def statistics_interval_add(s, o ):
        
        return s.OK
    
    def statistics_interval_remove(s, o ):
        
        return s.OK
        
    def directory_valid(s, o, v ):
        
        return s.OK
    
    def directory_add(s, o ):
        
        return s.OK
    
    def directory_remove(s, o ):
        
        return s.OK
    
    def preferred_glue_valid(s, i, o ):

        return s.OK

    def preferred_glue_add(s, o ):

        return s.OK

    def preferred_glue_remove(s, o ):

        return s.OK

    def alt_transfer_source_valid(s, i, o ):

        return s.OK

    def alt_transfer_source_add(s, o ):

        return s.OK

    def alt_transfer_source_remove(s, o ):

        return s.OK

    def avoid_v4_udp_ports_valid(s, i, o ):

        return s.OK

    def avoid_v4_udp_ports_add(s, o ):

        return s.OK

    def avoid_v4_udp_ports_remove(s, o ):

        return s.OK

    def use_alt_transfer_source_valid(s, i, o ):

        return s.OK

    def use_alt_transfer_source_add(s, o ):

        return s.OK

    def use_alt_transfer_source_remove(s, o ):

        return s.OK

    def masters_valid(s, i, o ):

        return s.OK

    def masters_add(s, o ):

        return s.OK

    def masters_remove(s, o ):

        return s.OK

    def hostname_valid(s, i, o ):

        return s.OK

    def hostname_add(s, o ):

        return s.OK

    def hostname_remove(s, o ):

        return s.OK

    def dnssec_lookaside_valid(s, i, o ):

        return s.OK

    def dnssec_lookaside_add(s, o ):

        return s.OK

    def dnssec_lookaside_remove(s, o ):

        return s.OK

    def dual_stack_servers_valid(s, i, o ):

        return s.OK

    def dual_stack_servers_add(s, o ):

        return s.OK

    def dual_stack_servers_remove(s, o ):

        return s.OK

    def dnssec_enable_valid(s, i, o ):

        return s.OK

    def dnssec_enable_add(s, o ):

        return s.OK

    def dnssec_enable_remove(s, o ):

        return s.OK

    def flush_zones_on_shutdown_valid(s, i, o ):

        return s.OK

    def flush_zones_on_shutdown_add(s, o ):

        return s.OK

    def flush_zones_on_shutdown_remove(s, o ):

        return s.OK

    def key_directory_valid(s, i, o ):

        return s.OK

    def key_directory_add(s, o ):

        return s.OK

    def key_directory_remove(s, o ):

        return s.OK

    def dnssec_must_be_secure_valid(s, i, o ):

        return s.OK

    def dnssec_must_be_secure_add(s, o ):

        return s.OK

    def dnssec_must_be_secure_remove(s, o ):

        return s.OK

    def server_id_valid(s, i, o ):

        return s.OK

    def server_id_add(s, o ):

        return s.OK

    def server_id_remove(s, o ):

        return s.OK

    def edns_udp_size_valid(s, i, o ):

        return s.OK

    def edns_udp_size_add(s, o ):

        return s.OK

    def edns_udp_size_remove(s, o ):

        return s.OK

    def tcp_listen_queue_valid(s, i, o ):

        return s.OK

    def tcp_listen_queue_add(s, o ):

        return s.OK

    def tcp_listen_queue_remove(s, o ):

        return s.OK

    def max_journal_size_valid(s, i, o ):

        return s.OK

    def max_journal_size_add(s, o ):

        return s.OK

    def max_journal_size_remove(s, o ):

        return s.OK

    def multi_master_valid(s, i, o ):

        return s.OK

    def multi_master_add(s, o ):

        return s.OK

    def multi_master_remove(s, o ):

        return s.OK

    def disable_algorithms_valid(s, i, o ):

        return s.OK

    def disable_algorithms_add(s, o ):

        return s.OK

    def disable_algorithms_remove(s, o ):

        return s.OK

    def querylog_valid(s, i, o ):

        return s.OK

    def querylog_add(s, o ):

        return s.OK

    def querylog_remove(s, o ):

        return s.OK

    def avoid_v6_udp_ports_valid(s, i, o ):

        return s.OK

    def avoid_v6_udp_ports_add(s, o ):

        return s.OK

    def avoid_v6_udp_ports_remove(s, o ):

        return s.OK

    def alt_transfer_source_v6_valid(s, i, o ):

        return s.OK

    def alt_transfer_source_v6_add(s, o ):

        return s.OK

    def alt_transfer_source_v6_remove(s, o ):

        return s.OK

    def __init__(s, o ):
        o['allow-recursion']['valid'] = s.allow_recursion_valid
        o['allow-recursion']['add'] = s.allow_recursion_add
        o['allow-recursion']['remove'] = s.allow_recursion_remove
        o['dump-file']['valid'] = s.dump_file_valid
        o['dump-file']['add'] = s.dump_file_add
        o['dump-file']['remove'] = s.dump_file_remove
        o['root-delegation-only']['valid'] = s.root_delegation_only_valid
        o['root-delegation-only']['add'] = s.root_delegation_only_add
        o['root-delegation-only']['remove'] = s.root_delegation_only_remove
        o['update-policy']['valid'] = s.update_policy_valid
        o['update-policy']['add'] = s.update_policy_add
        o['update-policy']['remove'] = s.update_policy_remove
        o['has-old-clients']['valid'] = s.has_old_clients_valid
        o['has-old-clients']['add'] = s.has_old_clients_add
        o['has-old-clients']['remove'] = s.has_old_clients_remove
        o['also-notify']['valid'] = s.also_notify_valid
        o['also-notify']['add'] = s.also_notify_add
        o['also-notify']['remove'] = s.also_notify_remove
        o['transfers-per-ns']['valid'] = s.transfers_per_ns_valid
        o['transfers-per-ns']['add'] = s.transfers_per_ns_add
        o['transfers-per-ns']['remove'] = s.transfers_per_ns_remove
        o['request-ixfr']['valid'] = s.request_ixfr_valid
        o['request-ixfr']['add'] = s.request_ixfr_add
        o['request-ixfr']['remove'] = s.request_ixfr_remove
        o['allow-query']['valid'] = s.allow_query_valid
        o['allow-query']['add'] = s.allow_query_add
        o['allow-query']['remove'] = s.allow_query_remove
        o['max-cache-ttl']['valid'] = s.max_cache_ttl_valid
        o['max-cache-ttl']['add'] = s.max_cache_ttl_add
        o['max-cache-ttl']['remove'] = s.max_cache_ttl_remove
        o['query-source']['valid'] = s.query_source_valid
        o['query-source']['add'] = s.query_source_add
        o['query-source']['remove'] = s.query_source_remove
        o['pubkey']['valid'] = s.pubkey_valid
        o['pubkey']['add'] = s.pubkey_add
        o['pubkey']['remove'] = s.pubkey_remove
        o['delegation-only']['valid'] = s.delegation_only_valid
        o['delegation-only']['add'] = s.delegation_only_add
        o['delegation-only']['remove'] = s.delegation_only_remove
        o['heartbeat-interval']['valid'] = s.heartbeat_interval_valid
        o['heartbeat-interval']['add'] = s.heartbeat_interval_add
        o['heartbeat-interval']['remove'] = s.heartbeat_interval_remove
        o['interface-interval']['valid'] = s.interface_interval_valid
        o['interface-interval']['add'] = s.interface_interval_add
        o['interface-interval']['remove'] = s.interface_interval_remove
        o['min-retry-time']['valid'] = s.min_retry_time_valid
        o['min-retry-time']['add'] = s.min_retry_time_add
        o['min-retry-time']['remove'] = s.min_retry_time_remove
        o['forwarders']['valid'] = s.forwarders_valid
        o['forwarders']['add'] = s.forwarders_add
        o['forwarders']['remove'] = s.forwarders_remove
        o['additional-from-cache']['valid'] = s.additional_from_cache_valid
        o['additional-from-cache']['add'] = s.additional_from_cache_add
        o['additional-from-cache']['remove'] = s.additional_from_cache_remove
        o['maintain-ixfr-base']['valid'] = s.maintain_ixfr_base_valid
        o['maintain-ixfr-base']['add'] = s.maintain_ixfr_base_add
        o['maintain-ixfr-base']['remove'] = s.maintain_ixfr_base_remove
        o['max-transfer-idle-in']['valid'] = s.max_transfer_idle_in_valid
        o['max-transfer-idle-in']['add'] = s.max_transfer_idle_in_add
        o['max-transfer-idle-in']['remove'] = s.max_transfer_idle_in_remove
        o['cleaning-interval']['valid'] = s.cleaning_interval_valid
        o['cleaning-interval']['add'] = s.cleaning_interval_add
        o['cleaning-interval']['remove'] = s.cleaning_interval_remove
        o['min-roots']['valid'] = s.min_roots_valid
        o['min-roots']['add'] = s.min_roots_add
        o['min-roots']['remove'] = s.min_roots_remove
        o['serial-query-rate']['valid'] = s.serial_query_rate_valid
        o['serial-query-rate']['add'] = s.serial_query_rate_add
        o['serial-query-rate']['remove'] = s.serial_query_rate_remove
        o['match-clients']['valid'] = s.match_clients_valid
        o['match-clients']['add'] = s.match_clients_add
        o['match-clients']['remove'] = s.match_clients_remove
        o['treat-cr-as-space']['valid'] = s.treat_cr_as_space_valid
        o['treat-cr-as-space']['add'] = s.treat_cr_as_space_add
        o['treat-cr-as-space']['remove'] = s.treat_cr_as_space_remove
        o['tkey-domain']['valid'] = s.tkey_domain_valid
        o['tkey-domain']['add'] = s.tkey_domain_add
        o['tkey-domain']['remove'] = s.tkey_domain_remove
        o['port']['valid'] = s.port_valid
        o['port']['add'] = s.port_add
        o['port']['remove'] = s.port_remove
        o['dialup']['valid'] = s.dialup_valid
        o['dialup']['add'] = s.dialup_add
        o['dialup']['remove'] = s.dialup_remove
        o['minimal-responses']['valid'] = s.minimal_responses_valid
        o['minimal-responses']['add'] = s.minimal_responses_add
        o['minimal-responses']['remove'] = s.minimal_responses_remove
        o['transfer-format']['valid'] = s.transfer_format_valid
        o['transfer-format']['add'] = s.transfer_format_add
        o['transfer-format']['remove'] = s.transfer_format_remove
        o['transfers-out']['valid'] = s.transfers_out_valid
        o['transfers-out']['add'] = s.transfers_out_add
        o['transfers-out']['remove'] = s.transfers_out_remove
        o['random-device']['valid'] = s.random_device_valid
        o['random-device']['add'] = s.random_device_add
        o['random-device']['remove'] = s.random_device_remove
        o['max-ncache-ttl']['valid'] = s.max_ncache_ttl_valid
        o['max-ncache-ttl']['add'] = s.max_ncache_ttl_add
        o['max-ncache-ttl']['remove'] = s.max_ncache_ttl_remove
        o['version']['valid'] = s.version_valid
        o['version']['add'] = s.version_add
        o['version']['remove'] = s.version_remove
        o['bogus']['valid'] = s.bogus_valid
        o['bogus']['add'] = s.bogus_add
        o['bogus']['remove'] = s.bogus_remove
        o['max-transfer-time-out']['valid'] = s.max_transfer_time_out_valid
        o['max-transfer-time-out']['add'] = s.max_transfer_time_out_add
        o['max-transfer-time-out']['remove'] = s.max_transfer_time_out_remove
        o['sig-validity-interval']['valid'] = s.sig_validity_interval_valid
        o['sig-validity-interval']['add'] = s.sig_validity_interval_add
        o['sig-validity-interval']['remove'] = s.sig_validity_interval_remove
        o['query-source-v6']['valid'] = s.query_source_v6_valid
        o['query-source-v6']['add'] = s.query_source_v6_add
        o['query-source-v6']['remove'] = s.query_source_v6_remove
        o['notify-source']['valid'] = s.notify_source_valid
        o['notify-source']['add'] = s.notify_source_add
        o['notify-source']['remove'] = s.notify_source_remove
        o['ixfr-base']['valid'] = s.ixfr_base_valid
        o['ixfr-base']['add'] = s.ixfr_base_add
        o['ixfr-base']['remove'] = s.ixfr_base_remove
        o['pid-file']['valid'] = s.pid_file_valid
        o['pid-file']['add'] = s.pid_file_add
        o['pid-file']['remove'] = s.pid_file_remove
        o['topology']['valid'] = s.topology_valid
        o['topology']['add'] = s.topology_add
        o['topology']['remove'] = s.topology_remove
        o['use-ixfr']['valid'] = s.use_ixfr_valid
        o['use-ixfr']['add'] = s.use_ixfr_add
        o['use-ixfr']['remove'] = s.use_ixfr_remove
        o['notify-source-v6']['valid'] = s.notify_source_v6_valid
        o['notify-source-v6']['add'] = s.notify_source_v6_add
        o['notify-source-v6']['remove'] = s.notify_source_v6_remove
        o['check-names']['valid'] = s.check_names_valid
        o['check-names']['add'] = s.check_names_add
        o['check-names']['remove'] = s.check_names_remove
        o['max-refresh-time']['valid'] = s.max_refresh_time_valid
        o['max-refresh-time']['add'] = s.max_refresh_time_add
        o['max-refresh-time']['remove'] = s.max_refresh_time_remove
        o['max-ixfr-log-size']['valid'] = s.max_ixfr_log_size_valid
        o['max-ixfr-log-size']['add'] = s.max_ixfr_log_size_add
        o['max-ixfr-log-size']['remove'] = s.max_ixfr_log_size_remove
        o['auth-nxdomain']['valid'] = s.auth_nxdomain_valid
        o['auth-nxdomain']['add'] = s.auth_nxdomain_add
        o['auth-nxdomain']['remove'] = s.auth_nxdomain_remove
        o['max-transfer-time-in']['valid'] = s.max_transfer_time_in_valid
        o['max-transfer-time-in']['add'] = s.max_transfer_time_in_add
        o['max-transfer-time-in']['remove'] = s.max_transfer_time_in_remove
        o['listen-on']['valid'] = s.listen_on_valid
        o['listen-on']['add'] = s.listen_on_add
        o['listen-on']['remove'] = s.listen_on_remove
        o['allow-update']['valid'] = s.allow_update_valid
        o['allow-update']['add'] = s.allow_update_add
        o['allow-update']['remove'] = s.allow_update_remove
        o['notify']['valid'] = s.notify_valid
        o['notify']['add'] = s.notify_add
        o['notify']['remove'] = s.notify_remove
        o['multiple-cnames']['valid'] = s.multiple_cnames_valid
        o['multiple-cnames']['add'] = s.multiple_cnames_add
        o['multiple-cnames']['remove'] = s.multiple_cnames_remove
        o['allow-transfer']['valid'] = s.allow_transfer_valid
        o['allow-transfer']['add'] = s.allow_transfer_add
        o['allow-transfer']['remove'] = s.allow_transfer_remove
        o['tkey-dhkey']['valid'] = s.tkey_dhkey_valid
        o['tkey-dhkey']['add'] = s.tkey_dhkey_add
        o['tkey-dhkey']['remove'] = s.tkey_dhkey_remove
        o['ixfr-tmp-file']['valid'] = s.ixfr_tmp_file_valid
        o['ixfr-tmp-file']['add'] = s.ixfr_tmp_file_add
        o['ixfr-tmp-file']['remove'] = s.ixfr_tmp_file_remove
        o['max-transfer-idle-out']['valid'] = s.max_transfer_idle_out_valid
        o['max-transfer-idle-out']['add'] = s.max_transfer_idle_out_add
        o['max-transfer-idle-out']['remove'] = s.max_transfer_idle_out_remove
        o['max-retry-time']['valid'] = s.max_retry_time_valid
        o['max-retry-time']['add'] = s.max_retry_time_add
        o['max-retry-time']['remove'] = s.max_retry_time_remove
        o['listen-on-v6']['valid'] = s.listen_on_v6_valid
        o['listen-on-v6']['add'] = s.listen_on_v6_add
        o['listen-on-v6']['remove'] = s.listen_on_v6_remove
        o['forward']['valid'] = s.forward_valid
        o['forward']['add'] = s.forward_add
        o['forward']['remove'] = s.forward_remove
        o['serial-queries']['valid'] = s.serial_queries_valid
        o['serial-queries']['add'] = s.serial_queries_add
        o['serial-queries']['remove'] = s.serial_queries_remove
        o['stacksize']['valid'] = s.stacksize_valid
        o['stacksize']['add'] = s.stacksize_add
        o['stacksize']['remove'] = s.stacksize_remove
        o['datasize']['valid'] = s.datasize_valid
        o['datasize']['add'] = s.datasize_add
        o['datasize']['remove'] = s.datasize_remove
        o['type']['valid'] = s.type_valid
        o['type']['add'] = s.type_add
        o['type']['remove'] = s.type_remove
        o['files']['valid'] = s.files_valid
        o['files']['add'] = s.files_add
        o['files']['remove'] = s.files_remove
        o['statistics-file']['valid'] = s.statistics_file_valid
        o['statistics-file']['add'] = s.statistics_file_add
        o['statistics-file']['remove'] = s.statistics_file_remove
        o['rrset-order']['valid'] = s.rrset_order_valid
        o['rrset-order']['add'] = s.rrset_order_add
        o['rrset-order']['remove'] = s.rrset_order_remove
        o['use-id-pool']['valid'] = s.use_id_pool_valid
        o['use-id-pool']['add'] = s.use_id_pool_add
        o['use-id-pool']['remove'] = s.use_id_pool_remove
        o['rfc2308-type1']['valid'] = s.rfc2308_type1_valid
        o['rfc2308-type1']['add'] = s.rfc2308_type1_add
        o['rfc2308-type1']['remove'] = s.rfc2308_type1_remove
        o['blackhole']['valid'] = s.blackhole_valid
        o['blackhole']['add'] = s.blackhole_add
        o['blackhole']['remove'] = s.blackhole_remove
        o['transfers-in']['valid'] = s.transfers_in_valid
        o['transfers-in']['add'] = s.transfers_in_add
        o['transfers-in']['remove'] = s.transfers_in_remove
        o['allow-notify']['valid'] = s.allow_notify_valid
        o['allow-notify']['add'] = s.allow_notify_add
        o['allow-notify']['remove'] = s.allow_notify_remove
        o['match-destinations']['valid'] = s.match_destinations_valid
        o['match-destinations']['add'] = s.match_destinations_add
        o['match-destinations']['remove'] = s.match_destinations_remove
        o['deallocate-on-exit']['valid'] = s.deallocate_on_exit_valid
        o['deallocate-on-exit']['add'] = s.deallocate_on_exit_add
        o['deallocate-on-exit']['remove'] = s.deallocate_on_exit_remove
        o['provide-ixfr']['valid'] = s.provide_ixfr_valid
        o['provide-ixfr']['add'] = s.provide_ixfr_add
        o['provide-ixfr']['remove'] = s.provide_ixfr_remove
        o['allow-update-forwarding']['valid'] = s.allow_update_forwarding_valid
        o['allow-update-forwarding']['add'] = s.allow_update_forwarding_add
        o['allow-update-forwarding']['remove'] = s.allow_update_forwarding_remove
        o['min-refresh-time']['valid'] = s.min_refresh_time_valid
        o['min-refresh-time']['add'] = s.min_refresh_time_add
        o['min-refresh-time']['remove'] = s.min_refresh_time_remove
        o['max-cache-size']['valid'] = s.max_cache_size_valid
        o['max-cache-size']['add'] = s.max_cache_size_add
        o['max-cache-size']['remove'] = s.max_cache_size_remove
        o['fake-iquery']['valid'] = s.fake_iquery_valid
        o['fake-iquery']['add'] = s.fake_iquery_add
        o['fake-iquery']['remove'] = s.fake_iquery_remove
        o['sortlist']['valid'] = s.sortlist_valid
        o['sortlist']['add'] = s.sortlist_add
        o['sortlist']['remove'] = s.sortlist_remove
        o['match-mapped-addresses']['valid'] = s.match_mapped_addresses_valid
        o['match-mapped-addresses']['add'] = s.match_mapped_addresses_add
        o['match-mapped-addresses']['remove'] = s.match_mapped_addresses_remove
        o['named-xfer']['valid'] = s.named_xfer_valid
        o['named-xfer']['add'] = s.named_xfer_add
        o['named-xfer']['remove'] = s.named_xfer_remove
        o['recursive-clients']['valid'] = s.recursive_clients_valid
        o['recursive-clients']['add'] = s.recursive_clients_add
        o['recursive-clients']['remove'] = s.recursive_clients_remove
        o['file']['valid'] = s.file_valid
        o['file']['add'] = s.file_add
        o['file']['remove'] = s.file_remove
        o['edns']['valid'] = s.edns_valid
        o['edns']['add'] = s.edns_add
        o['edns']['remove'] = s.edns_remove
        o['recursion']['valid'] = s.recursion_valid
        o['recursion']['add'] = s.recursion_add
        o['recursion']['remove'] = s.recursion_remove
        o['memstatistics-file']['valid'] = s.memstatistics_file_valid
        o['memstatistics-file']['add'] = s.memstatistics_file_add
        o['memstatistics-file']['remove'] = s.memstatistics_file_remove
        o['transfers']['valid'] = s.transfers_valid
        o['transfers']['add'] = s.transfers_add
        o['transfers']['remove'] = s.transfers_remove
        o['lame-ttl']['valid'] = s.lame_ttl_valid
        o['lame-ttl']['add'] = s.lame_ttl_add
        o['lame-ttl']['remove'] = s.lame_ttl_remove
        o['transfer-source']['valid'] = s.transfer_source_valid
        o['transfer-source']['add'] = s.transfer_source_add
        o['transfer-source']['remove'] = s.transfer_source_remove
        o['fetch-glue']['valid'] = s.fetch_glue_valid
        o['fetch-glue']['add'] = s.fetch_glue_add
        o['fetch-glue']['remove'] = s.fetch_glue_remove
        o['tcp-clients']['valid'] = s.tcp_clients_valid
        o['tcp-clients']['add'] = s.tcp_clients_add
        o['tcp-clients']['remove'] = s.tcp_clients_remove
        o['match-recursive-only']['valid'] = s.match_recursive_only_valid
        o['match-recursive-only']['add'] = s.match_recursive_only_add
        o['match-recursive-only']['remove'] = s.match_recursive_only_remove
        o['allow-v6-synthesis']['valid'] = s.allow_v6_synthesis_valid
        o['allow-v6-synthesis']['add'] = s.allow_v6_synthesis_add
        o['allow-v6-synthesis']['remove'] = s.allow_v6_synthesis_remove
        o['zone-statistics']['valid'] = s.zone_statistics_valid
        o['zone-statistics']['add'] = s.zone_statistics_add
        o['zone-statistics']['remove'] = s.zone_statistics_remove
        o['keys']['valid'] = s.keys_valid
        o['keys']['add'] = s.keys_add
        o['keys']['remove'] = s.keys_remove
        o['transfer-source-v6']['valid'] = s.transfer_source_v6_valid
        o['transfer-source-v6']['add'] = s.transfer_source_v6_add
        o['transfer-source-v6']['remove'] = s.transfer_source_v6_remove
        o['host-statistics']['valid'] = s.host_statistics_valid
        o['host-statistics']['add'] = s.host_statistics_add
        o['host-statistics']['remove'] = s.host_statistics_remove
        o['additional-from-auth']['valid'] = s.additional_from_auth_valid
        o['additional-from-auth']['add'] = s.additional_from_auth_add
        o['additional-from-auth']['remove'] = s.additional_from_auth_remove
        o['database']['valid'] = s.database_valid
        o['database']['add'] = s.database_add
        o['database']['remove'] = s.database_remove
        o['coresize']['valid'] = s.coresize_valid
        o['coresize']['add'] = s.coresize_add
        o['coresize']['remove'] = s.coresize_remove
        o['statistics-interval']['valid'] = s.statistics_interval_valid
        o['statistics-interval']['add'] = s.statistics_interval_add
        o['statistics-interval']['remove'] = s.statistics_interval_remove
        o['directory']['valid'] = s.directory_valid
        o['directory']['add'] = s.directory_add
        o['directory']['remove'] = s.directory_remove
        o['preferred-glue']['valid'] = s.preferred_glue_valid
        o['preferred-glue']['add'] = s.preferred_glue_add
        o['preferred-glue']['remove'] = s.preferred_glue_remove
        o['alt-transfer-source']['valid'] = s.alt_transfer_source_valid
        o['alt-transfer-source']['add'] = s.alt_transfer_source_add
        o['alt-transfer-source']['remove'] = s.alt_transfer_source_remove
        o['avoid-v4-udp-ports']['valid'] = s.avoid_v4_udp_ports_valid
        o['avoid-v4-udp-ports']['add'] = s.avoid_v4_udp_ports_add
        o['avoid-v4-udp-ports']['remove'] = s.avoid_v4_udp_ports_remove
        o['use-alt-transfer-source']['valid'] = s.use_alt_transfer_source_valid
        o['use-alt-transfer-source']['add'] = s.use_alt_transfer_source_add
        o['use-alt-transfer-source']['remove'] = s.use_alt_transfer_source_remove
        o['masters']['valid'] = s.masters_valid
        o['masters']['add'] = s.masters_add
        o['masters']['remove'] = s.masters_remove
        o['hostname']['valid'] = s.hostname_valid
        o['hostname']['add'] = s.hostname_add
        o['hostname']['remove'] = s.hostname_remove
        o['dnssec-lookaside']['valid'] = s.dnssec_lookaside_valid
        o['dnssec-lookaside']['add'] = s.dnssec_lookaside_add
        o['dnssec-lookaside']['remove'] = s.dnssec_lookaside_remove
        o['dual-stack-servers']['valid'] = s.dual_stack_servers_valid
        o['dual-stack-servers']['add'] = s.dual_stack_servers_add
        o['dual-stack-servers']['remove'] = s.dual_stack_servers_remove
        o['dnssec-enable']['valid'] = s.dnssec_enable_valid
        o['dnssec-enable']['add'] = s.dnssec_enable_add
        o['dnssec-enable']['remove'] = s.dnssec_enable_remove
        o['flush-zones-on-shutdown']['valid'] = s.flush_zones_on_shutdown_valid
        o['flush-zones-on-shutdown']['add'] = s.flush_zones_on_shutdown_add
        o['flush-zones-on-shutdown']['remove'] = s.flush_zones_on_shutdown_remove
        o['key-directory']['valid'] = s.key_directory_valid
        o['key-directory']['add'] = s.key_directory_add
        o['key-directory']['remove'] = s.key_directory_remove
        o['dnssec-must-be-secure']['valid'] = s.dnssec_must_be_secure_valid
        o['dnssec-must-be-secure']['add'] = s.dnssec_must_be_secure_add
        o['dnssec-must-be-secure']['remove'] = s.dnssec_must_be_secure_remove
        o['server-id']['valid'] = s.server_id_valid
        o['server-id']['add'] = s.server_id_add
        o['server-id']['remove'] = s.server_id_remove
        o['edns-udp-size']['valid'] = s.edns_udp_size_valid
        o['edns-udp-size']['add'] = s.edns_udp_size_add
        o['edns-udp-size']['remove'] = s.edns_udp_size_remove
        o['tcp-listen-queue']['valid'] = s.tcp_listen_queue_valid
        o['tcp-listen-queue']['add'] = s.tcp_listen_queue_add
        o['tcp-listen-queue']['remove'] = s.tcp_listen_queue_remove
        o['max-journal-size']['valid'] = s.max_journal_size_valid
        o['max-journal-size']['add'] = s.max_journal_size_add
        o['max-journal-size']['remove'] = s.max_journal_size_remove
        o['multi-master']['valid'] = s.multi_master_valid
        o['multi-master']['add'] = s.multi_master_add
        o['multi-master']['remove'] = s.multi_master_remove
        o['disable-algorithms']['valid'] = s.disable_algorithms_valid
        o['disable-algorithms']['add'] = s.disable_algorithms_add
        o['disable-algorithms']['remove'] = s.disable_algorithms_remove
        o['querylog']['valid'] = s.querylog_valid
        o['querylog']['add'] = s.querylog_add
        o['querylog']['remove'] = s.querylog_remove
        o['avoid-v6-udp-ports']['valid'] = s.avoid_v6_udp_ports_valid
        o['avoid-v6-udp-ports']['add'] = s.avoid_v6_udp_ports_add
        o['avoid-v6-udp-ports']['remove'] = s.avoid_v6_udp_ports_remove
        o['alt-transfer-source-v6']['valid'] = s.alt_transfer_source_v6_valid
        o['alt-transfer-source-v6']['add'] = s.alt_transfer_source_v6_add
        o['alt-transfer-source-v6']['remove'] = s.alt_transfer_source_v6_remove
